Katello - Bug #24214

No applicable errata/updates on content host
07/09/2018 07:28 PM - Christine Fouant

Status: Closed
Priority: Urgent
Assignee: Christine Fouant
Category: Errata Management
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1596049 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-host-to
ols/pull/66
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1596049

Description of problem: We registered content host to satellite 6.4 snap 9, but not able to see errata/updates for content host in
satellite.

Version-Release number of selected component (if applicable): Satellite 6.4 snap 9

1. rpm -q satellite
satellite-6.4.0-9.beta.el7sat.noarch

How reproducible: always

Steps to Reproduce:

1. Created activation key with rhel7 server synced

2. Registered rhel 74/75 content host

#rpm -Uvh http://satellite/pub/katello-ca-consumer-latest.noarch.rpm
#subscription-manager register --org="Default_Organization" --activationkey="ak-rhel-7"
#yum -y install katello-agent

3. Navigate Host -> Content host

Actual results:

No applicable errata seen on content host. No errors in production.log and Package Profile Update task completed successfully.
Also note that content host has updates. Updates can pull from satellite using #yum update.

Expected results: Errata/updates on content host should display in satellite.

Additional info:

Associated revisions

Revision 1ffbd8af - 07/11/2018 08:19 PM - Chris Duryee
Fixes #24214 - fill in vars on repo URLs

Previously, repo baseurls were sent as-is from redhat.repo to
Satellite. This resulted in the client reporting it was subscribed to
repos that don't exist, since the URLs would have the literal string
“$releasever/$basearch’ in it.

This commit adds dnf and yum code to populate “$releasever” and

“$basearch’. It will attempt to use DNF libraries first, and if that
raises an “ImportError’, it will try yum.

History
https://bugzilla.redhat.com/show_bug.cgi?id=1596049
http://satellite/pub/katello-ca-consumer-latest.noarch.rpm

#1 - 07/09/2018 10:15 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello-host-tools/pull/66 added

#2 - 07/11/2018 05:51 PM - Justin Sherrill
- Priority changed from High to Urgent

- Target version set to Katello 3.7.0

#3 - 07/11/2018 09:01 PM - Chris Duryee
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-host-tools|1ffbd8afe9dfce6cf69f9b3bfed840a8e340256b.
